<?php include('casa/setup.casa.php');
$solic_codigo = DataForms::POST('solic_codigo');
$ubica_codigoDestino = DataForms::POST('ubica_codigo');

$Productos = new DB();
$UPDinventario = new DB();

$sqlProductos = "SELECT * FROM inventarios_solicitartraspasos
WHERE solic_codigo = '$solic_codigo';";

$Productos->dbSQL($sqlProductos);
while($Productos->next()){
	$prod_codigo = $Productos->dbField('prod_codigo');
	$solic_cantidadcajas = $Productos->dbField('solic_cantidadcajas');
	
	$sqlUPDinventario = "SELECT * FROM inventarios_productos
	WHERE prod_codigo = '$prod_codigo';";
	$UPDinventario->dbSQL($sqlUPDinventario);
	$UPDinventario->next();	
		$ubica_codigoOrigen = $UPDinventario->dbField('ubica_codigo');
		$prod_item = $UPDinventario->dbField('prod_item');
		$prod_traspaso = $UPDinventario->dbField('prod_traspaso');
		$prod_nombre = $UPDinventario->dbField('prod_nombre');
		$prod_foto = $UPDinventario->dbField('prod_foto');
		$prod_piezascaja = $UPDinventario->dbField('prod_piezascaja');
		$prod_cantidadcajas = $UPDinventario->dbField('prod_cantidadcajas');
		$prod_unidadesreal = $UPDinventario->dbField('prod_unidadesreal');
		$prod_preciounitario = $UPDinventario->dbField('prod_preciounitario');
		$prod_preciodocena = $UPDinventario->dbField('prod_preciodocena');
		$prod_preciocajadocena = $UPDinventario->dbField('prod_preciocajadocena');
		$prod_observaciones = $UPDinventario->dbField('prod_observaciones');
		
			$nCantidadCajas = $prod_cantidadcajas - $solic_cantidadcajas;
			$nCantidadRealDest = $solic_cantidadcajas*$prod_piezascaja;
			$nCantidadReal = $prod_unidadesreal - $nCantidadRealDest;

		//actualizar cantidades de inventario
		$sqlActualizar = "UPDATE inventarios_productos SET
			prod_cantidadcajas = '$nCantidadCajas',
			prod_unidadesreal = '$nCantidadReal'
		WHERE prod_codigo = '$prod_codigo';";
		$UPDinventario->dbSQL($sqlActualizar);
		//traspaso productos al nuevo destino
		$codigo = substr(sha1(uniqid()),1,7);
		$sqlPregDestino = "INSERT INTO inventarios_productos(		
			ubica_codigo,prod_item,	prod_codigo,
			prod_traspaso,prod_nombre, prod_piezascaja,prod_foto,
			prod_cantidadcajas,	prod_unidadesreal,prod_preciounitario,
			prod_preciodocena, prod_preciocajadocena, prod_observaciones
		)VALUES(
			'$ubica_codigoDestino','$prod_item','$codigo',
			'traspaso','$prod_nombre','$prod_piezascaja','$prod_foto',
			'$solic_cantidadcajas','$nCantidadRealDest','$prod_preciounitario',
			'$prod_preciodocena','$prod_preciocajadocena','$prod_observaciones'
		);";
		$UPDinventario->dbSQL($sqlPregDestino);
	
}
//actualizar estado
$sql = "UPDATE inventarios_solicitartraspasos SET
	solic_estado = '2',
	solic_aprobadopor = '$USID'
WHERE solic_codigo = '$solic_codigo';";

$db = new DB();
$db->dbSQL($sql);

echo '<script>self.location="'.PATH_HOME.'traspasos-solicitudes-usuarios/lista";</script>';
?>